/[CvsGraph]/cvsgraph/configure
ViewVC logotype

Annotate of /cvsgraph/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.4 - (show annotations)
Sun Mar 4 20:15:02 2001 UTC (16 years, 8 months ago) by bertho
Branch: MAIN
CVS Tags: REL_1_1_1, REL_1_1_0
Changes since 1.3: +64 -46 lines
Updated configure to accept separate include/lib dirs for gd
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --with-gd-inc=DIR location of the gd includes"
16 ac_help="$ac_help
17 --with-gd-lib=DIR location of the gd library"
18 ac_help="$ac_help
19 --with-z-inc=DIR location of zlib includes"
20 ac_help="$ac_help
21 --with-z-lib=DIR location of zlib library"
22 ac_help="$ac_help
23 --with-png=DIR location of png lib/inc"
24 ac_help="$ac_help
25 --disable-speed Turn off lex table optimization reducing speed and size of executable"
26
27 # Initialize some variables set by options.
28 # The variables have the same names as the options, with
29 # dashes changed to underlines.
30 build=NONE
31 cache_file=./config.cache
32 exec_prefix=NONE
33 host=NONE
34 no_create=
35 nonopt=NONE
36 no_recursion=
37 prefix=NONE
38 program_prefix=NONE
39 program_suffix=NONE
40 program_transform_name=s,x,x,
41 silent=
42 site=
43 srcdir=
44 target=NONE
45 verbose=
46 x_includes=NONE
47 x_libraries=NONE
48 bindir='${exec_prefix}/bin'
49 sbindir='${exec_prefix}/sbin'
50 libexecdir='${exec_prefix}/libexec'
51 datadir='${prefix}/share'
52 sysconfdir='${prefix}/etc'
53 sharedstatedir='${prefix}/com'
54 localstatedir='${prefix}/var'
55 libdir='${exec_prefix}/lib'
56 includedir='${prefix}/include'
57 oldincludedir='/usr/include'
58 infodir='${prefix}/info'
59 mandir='${prefix}/man'
60
61 # Initialize some other variables.
62 subdirs=
63 MFLAGS= MAKEFLAGS=
64 SHELL=${CONFIG_SHELL-/bin/sh}
65 # Maximum number of lines to put in a shell here document.
66 ac_max_here_lines=12
67
68 ac_prev=
69 for ac_option
70 do
71
72 # If the previous option needs an argument, assign it.
73 if test -n "$ac_prev"; then
74 eval "$ac_prev=\$ac_option"
75 ac_prev=
76 continue
77 fi
78
79 case "$ac_option" in
80 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
81 *) ac_optarg= ;;
82 esac
83
84 # Accept the important Cygnus configure options, so we can diagnose typos.
85
86 case "$ac_option" in
87
88 -bindir | --bindir | --bindi | --bind | --bin | --bi)
89 ac_prev=bindir ;;
90 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
91 bindir="$ac_optarg" ;;
92
93 -build | --build | --buil | --bui | --bu)
94 ac_prev=build ;;
95 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
96 build="$ac_optarg" ;;
97
98 -cache-file | --cache-file | --cache-fil | --cache-fi \
99 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
100 ac_prev=cache_file ;;
101 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
102 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
103 cache_file="$ac_optarg" ;;
104
105 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
106 ac_prev=datadir ;;
107 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
108 | --da=*)
109 datadir="$ac_optarg" ;;
110
111 -disable-* | --disable-*)
112 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
113 # Reject names that are not valid shell variable names.
114 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
115 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
116 fi
117 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
118 eval "enable_${ac_feature}=no" ;;
119
120 -enable-* | --enable-*)
121 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
122 # Reject names that are not valid shell variable names.
123 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
124 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
125 fi
126 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
127 case "$ac_option" in
128 *=*) ;;
129 *) ac_optarg=yes ;;
130 esac
131 eval "enable_${ac_feature}='$ac_optarg'" ;;
132
133 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
134 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
135 | --exec | --exe | --ex)
136 ac_prev=exec_prefix ;;
137 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
138 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
139 | --exec=* | --exe=* | --ex=*)
140 exec_prefix="$ac_optarg" ;;
141
142 -gas | --gas | --ga | --g)
143 # Obsolete; use --with-gas.
144 with_gas=yes ;;
145
146 -help | --help | --hel | --he)
147 # Omit some internal or obsolete options to make the list less imposing.
148 # This message is too long to be a string in the A/UX 3.1 sh.
149 cat << EOF
150 Usage: configure [options] [host]
151 Options: [defaults in brackets after descriptions]
152 Configuration:
153 --cache-file=FILE cache test results in FILE
154 --help print this message
155 --no-create do not create output files
156 --quiet, --silent do not print \`checking...' messages
157 --version print the version of autoconf that created configure
158 Directory and file names:
159 --prefix=PREFIX install architecture-independent files in PREFIX
160 [$ac_default_prefix]
161 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
162 [same as prefix]
163 --bindir=DIR user executables in DIR [EPREFIX/bin]
164 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
165 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
166 --datadir=DIR read-only architecture-independent data in DIR
167 [PREFIX/share]
168 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
169 --sharedstatedir=DIR modifiable architecture-independent data in DIR
170 [PREFIX/com]
171 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
172 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
173 --includedir=DIR C header files in DIR [PREFIX/include]
174 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
175 --infodir=DIR info documentation in DIR [PREFIX/info]
176 --mandir=DIR man documentation in DIR [PREFIX/man]
177 --srcdir=DIR find the sources in DIR [configure dir or ..]
178 --program-prefix=PREFIX prepend PREFIX to installed program names
179 --program-suffix=SUFFIX append SUFFIX to installed program names
180 --program-transform-name=PROGRAM
181 run sed PROGRAM on installed program names
182 EOF
183 cat << EOF
184 Host type:
185 --build=BUILD configure for building on BUILD [BUILD=HOST]
186 --host=HOST configure for HOST [guessed]
187 --target=TARGET configure for TARGET [TARGET=HOST]
188 Features and packages:
189 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
190 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
191 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
192 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
193 --x-includes=DIR X include files are in DIR
194 --x-libraries=DIR X library files are in DIR
195 EOF
196 if test -n "$ac_help"; then
197 echo "--enable and --with options recognized:$ac_help"
198 fi
199 exit 0 ;;
200
201 -host | --host | --hos | --ho)
202 ac_prev=host ;;
203 -host=* | --host=* | --hos=* | --ho=*)
204 host="$ac_optarg" ;;
205
206 -includedir | --includedir | --includedi | --included | --include \
207 | --includ | --inclu | --incl | --inc)
208 ac_prev=includedir ;;
209 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
210 | --includ=* | --inclu=* | --incl=* | --inc=*)
211 includedir="$ac_optarg" ;;
212
213 -infodir | --infodir | --infodi | --infod | --info | --inf)
214 ac_prev=infodir ;;
215 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
216 infodir="$ac_optarg" ;;
217
218 -libdir | --libdir | --libdi | --libd)
219 ac_prev=libdir ;;
220 -libdir=* | --libdir=* | --libdi=* | --libd=*)
221 libdir="$ac_optarg" ;;
222
223 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
224 | --libexe | --libex | --libe)
225 ac_prev=libexecdir ;;
226 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
227 | --libexe=* | --libex=* | --libe=*)
228 libexecdir="$ac_optarg" ;;
229
230 -localstatedir | --localstatedir | --localstatedi | --localstated \
231 | --localstate | --localstat | --localsta | --localst \
232 | --locals | --local | --loca | --loc | --lo)
233 ac_prev=localstatedir ;;
234 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
235 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
236 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
237 localstatedir="$ac_optarg" ;;
238
239 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
240 ac_prev=mandir ;;
241 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
242 mandir="$ac_optarg" ;;
243
244 -nfp | --nfp | --nf)
245 # Obsolete; use --without-fp.
246 with_fp=no ;;
247
248 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
249 | --no-cr | --no-c)
250 no_create=yes ;;
251
252 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
253 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
254 no_recursion=yes ;;
255
256 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
257 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
258 | --oldin | --oldi | --old | --ol | --o)
259 ac_prev=oldincludedir ;;
260 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
261 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
262 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
263 oldincludedir="$ac_optarg" ;;
264
265 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
266 ac_prev=prefix ;;
267 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
268 prefix="$ac_optarg" ;;
269
270 -program-prefix | --program-prefix | --program-prefi | --program-pref \
271 | --program-pre | --program-pr | --program-p)
272 ac_prev=program_prefix ;;
273 -program-prefix=* | --program-prefix=* | --program-prefi=* \
274 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
275 program_prefix="$ac_optarg" ;;
276
277 -program-suffix | --program-suffix | --program-suffi | --program-suff \
278 | --program-suf | --program-su | --program-s)
279 ac_prev=program_suffix ;;
280 -program-suffix=* | --program-suffix=* | --program-suffi=* \
281 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
282 program_suffix="$ac_optarg" ;;
283
284 -program-transform-name | --program-transform-name \
285 | --program-transform-nam | --program-transform-na \
286 | --program-transform-n | --program-transform- \
287 | --program-transform | --program-transfor \
288 | --program-transfo | --program-transf \
289 | --program-trans | --program-tran \
290 | --progr-tra | --program-tr | --program-t)
291 ac_prev=program_transform_name ;;
292 -program-transform-name=* | --program-transform-name=* \
293 | --program-transform-nam=* | --program-transform-na=* \
294 | --program-transform-n=* | --program-transform-=* \
295 | --program-transform=* | --program-transfor=* \
296 | --program-transfo=* | --program-transf=* \
297 | --program-trans=* | --program-tran=* \
298 | --progr-tra=* | --program-tr=* | --program-t=*)
299 program_transform_name="$ac_optarg" ;;
300
301 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
302 | -silent | --silent | --silen | --sile | --sil)
303 silent=yes ;;
304
305 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
306 ac_prev=sbindir ;;
307 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
308 | --sbi=* | --sb=*)
309 sbindir="$ac_optarg" ;;
310
311 -sharedstatedir | --sharedstatedir | --sharedstatedi \
312 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
313 | --sharedst | --shareds | --shared | --share | --shar \
314 | --sha | --sh)
315 ac_prev=sharedstatedir ;;
316 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
317 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
318 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
319 | --sha=* | --sh=*)
320 sharedstatedir="$ac_optarg" ;;
321
322 -site | --site | --sit)
323 ac_prev=site ;;
324 -site=* | --site=* | --sit=*)
325 site="$ac_optarg" ;;
326
327 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
328 ac_prev=srcdir ;;
329 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
330 srcdir="$ac_optarg" ;;
331
332 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
333 | --syscon | --sysco | --sysc | --sys | --sy)
334 ac_prev=sysconfdir ;;
335 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
336 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
337 sysconfdir="$ac_optarg" ;;
338
339 -target | --target | --targe | --targ | --tar | --ta | --t)
340 ac_prev=target ;;
341 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
342 target="$ac_optarg" ;;
343
344 -v | -verbose | --verbose | --verbos | --verbo | --verb)
345 verbose=yes ;;
346
347 -version | --version | --versio | --versi | --vers)
348 echo "configure generated by autoconf version 2.13"
349 exit 0 ;;
350
351 -with-* | --with-*)
352 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 case "$ac_option" in
359 *=*) ;;
360 *) ac_optarg=yes ;;
361 esac
362 eval "with_${ac_package}='$ac_optarg'" ;;
363
364 -without-* | --without-*)
365 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
366 # Reject names that are not valid shell variable names.
367 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
368 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
369 fi
370 ac_package=`echo $ac_package| sed 's/-/_/g'`
371 eval "with_${ac_package}=no" ;;
372
373 --x)
374 # Obsolete; use --with-x.
375 with_x=yes ;;
376
377 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
378 | --x-incl | --x-inc | --x-in | --x-i)
379 ac_prev=x_includes ;;
380 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
381 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
382 x_includes="$ac_optarg" ;;
383
384 -x-libraries | --x-libraries | --x-librarie | --x-librari \
385 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
386 ac_prev=x_libraries ;;
387 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
388 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
389 x_libraries="$ac_optarg" ;;
390
391 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
392 ;;
393
394 *)
395 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
396 echo "configure: warning: $ac_option: invalid host type" 1>&2
397 fi
398 if test "x$nonopt" != xNONE; then
399 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
400 fi
401 nonopt="$ac_option"
402 ;;
403
404 esac
405 done
406
407 if test -n "$ac_prev"; then
408 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
409 fi
410
411 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
412
413 # File descriptor usage:
414 # 0 standard input
415 # 1 file creation
416 # 2 errors and warnings
417 # 3 some systems may open it to /dev/tty
418 # 4 used on the Kubota Titan
419 # 6 checking for... messages and results
420 # 5 compiler messages saved in config.log
421 if test "$silent" = yes; then
422 exec 6>/dev/null
423 else
424 exec 6>&1
425 fi
426 exec 5>./config.log
427
428 echo "\
429 This file contains any messages produced by compilers while
430 running configure, to aid debugging if configure makes a mistake.
431 " 1>&5
432
433 # Strip out --no-create and --no-recursion so they do not pile up.
434 # Also quote any args containing shell metacharacters.
435 ac_configure_args=
436 for ac_arg
437 do
438 case "$ac_arg" in
439 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
440 | --no-cr | --no-c) ;;
441 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
442 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
443 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
444 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
445 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
446 esac
447 done
448
449 # NLS nuisances.
450 # Only set these to C if already set. These must not be set unconditionally
451 # because not all systems understand e.g. LANG=C (notably SCO).
452 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
453 # Non-C LC_CTYPE values break the ctype check.
454 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
455 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
456 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
457 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
458
459 # confdefs.h avoids OS command line length limits that DEFS can exceed.
460 rm -rf conftest* confdefs.h
461 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
462 echo > confdefs.h
463
464 # A filename unique to this package, relative to the directory that
465 # configure is in, which we can look for to find out if srcdir is correct.
466 ac_unique_file=cvsgraph.c
467
468 # Find the source files, if location was not specified.
469 if test -z "$srcdir"; then
470 ac_srcdir_defaulted=yes
471 # Try the directory containing this script, then its parent.
472 ac_prog=$0
473 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
474 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
475 srcdir=$ac_confdir
476 if test ! -r $srcdir/$ac_unique_file; then
477 srcdir=..
478 fi
479 else
480 ac_srcdir_defaulted=no
481 fi
482 if test ! -r $srcdir/$ac_unique_file; then
483 if test "$ac_srcdir_defaulted" = yes; then
484 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
485 else
486 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
487 fi
488 fi
489 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
490
491 # Prefer explicitly selected file to automatically selected ones.
492 if test -z "$CONFIG_SITE"; then
493 if test "x$prefix" != xNONE; then
494 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
495 else
496 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
497 fi
498 fi
499 for ac_site_file in $CONFIG_SITE; do
500 if test -r "$ac_site_file"; then
501 echo "loading site script $ac_site_file"
502 . "$ac_site_file"
503 fi
504 done
505
506 if test -r "$cache_file"; then
507 echo "loading cache $cache_file"
508 . $cache_file
509 else
510 echo "creating cache $cache_file"
511 > $cache_file
512 fi
513
514 ac_ext=c
515 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
516 ac_cpp='$CPP $CPPFLAGS'
517 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
518 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
519 cross_compiling=$ac_cv_prog_cc_cross
520
521 ac_exeext=
522 ac_objext=o
523 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
524 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
525 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
526 ac_n= ac_c='
527 ' ac_t=' '
528 else
529 ac_n=-n ac_c= ac_t=
530 fi
531 else
532 ac_n= ac_c='\c' ac_t=
533 fi
534
535
536
537
538 # Extract the first word of "gcc", so it can be a program name with args.
539 set dummy gcc; ac_word=$2
540 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
541 echo "configure:542: checking for $ac_word" >&5
542 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
543 echo $ac_n "(cached) $ac_c" 1>&6
544 else
545 if test -n "$CC"; then
546 ac_cv_prog_CC="$CC" # Let the user override the test.
547 else
548 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
549 ac_dummy="$PATH"
550 for ac_dir in $ac_dummy; do
551 test -z "$ac_dir" && ac_dir=.
552 if test -f $ac_dir/$ac_word; then
553 ac_cv_prog_CC="gcc"
554 break
555 fi
556 done
557 IFS="$ac_save_ifs"
558 fi
559 fi
560 CC="$ac_cv_prog_CC"
561 if test -n "$CC"; then
562 echo "$ac_t""$CC" 1>&6
563 else
564 echo "$ac_t""no" 1>&6
565 fi
566
567 if test -z "$CC"; then
568 # Extract the first word of "cc", so it can be a program name with args.
569 set dummy cc; ac_word=$2
570 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
571 echo "configure:572: checking for $ac_word" >&5
572 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
573 echo $ac_n "(cached) $ac_c" 1>&6
574 else
575 if test -n "$CC"; then
576 ac_cv_prog_CC="$CC" # Let the user override the test.
577 else
578 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
579 ac_prog_rejected=no
580 ac_dummy="$PATH"
581 for ac_dir in $ac_dummy; do
582 test -z "$ac_dir" && ac_dir=.
583 if test -f $ac_dir/$ac_word; then
584 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
585 ac_prog_rejected=yes
586 continue
587 fi
588 ac_cv_prog_CC="cc"
589 break
590 fi
591 done
592 IFS="$ac_save_ifs"
593 if test $ac_prog_rejected = yes; then
594 # We found a bogon in the path, so make sure we never use it.
595 set dummy $ac_cv_prog_CC
596 shift
597 if test $# -gt 0; then
598 # We chose a different compiler from the bogus one.
599 # However, it has the same basename, so the bogon will be chosen
600 # first if we set CC to just the basename; use the full file name.
601 shift
602 set dummy "$ac_dir/$ac_word" "$@"
603 shift
604 ac_cv_prog_CC="$@"
605 fi
606 fi
607 fi
608 fi
609 CC="$ac_cv_prog_CC"
610 if test -n "$CC"; then
611 echo "$ac_t""$CC" 1>&6
612 else
613 echo "$ac_t""no" 1>&6
614 fi
615
616 if test -z "$CC"; then
617 case "`uname -s`" in
618 *win32* | *WIN32*)
619 # Extract the first word of "cl", so it can be a program name with args.
620 set dummy cl; ac_word=$2
621 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
622 echo "configure:623: checking for $ac_word" >&5
623 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
624 echo $ac_n "(cached) $ac_c" 1>&6
625 else
626 if test -n "$CC"; then
627 ac_cv_prog_CC="$CC" # Let the user override the test.
628 else
629 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
630 ac_dummy="$PATH"
631 for ac_dir in $ac_dummy; do
632 test -z "$ac_dir" && ac_dir=.
633 if test -f $ac_dir/$ac_word; then
634 ac_cv_prog_CC="cl"
635 break
636 fi
637 done
638 IFS="$ac_save_ifs"
639 fi
640 fi
641 CC="$ac_cv_prog_CC"
642 if test -n "$CC"; then
643 echo "$ac_t""$CC" 1>&6
644 else
645 echo "$ac_t""no" 1>&6
646 fi
647 ;;
648 esac
649 fi
650 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
651 fi
652
653 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
654 echo "configure:655: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
655
656 ac_ext=c
657 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
658 ac_cpp='$CPP $CPPFLAGS'
659 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
660 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
661 cross_compiling=$ac_cv_prog_cc_cross
662
663 cat > conftest.$ac_ext << EOF
664
665 #line 666 "configure"
666 #include "confdefs.h"
667
668 main(){return(0);}
669 EOF
670 if { (eval echo configure:671: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
671 ac_cv_prog_cc_works=yes
672 # If we can't run a trivial program, we are probably using a cross compiler.
673 if (./conftest; exit) 2>/dev/null; then
674 ac_cv_prog_cc_cross=no
675 else
676 ac_cv_prog_cc_cross=yes
677 fi
678 else
679 echo "configure: failed program was:" >&5
680 cat conftest.$ac_ext >&5
681 ac_cv_prog_cc_works=no
682 fi
683 rm -fr conftest*
684 ac_ext=c
685 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
686 ac_cpp='$CPP $CPPFLAGS'
687 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
688 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
689 cross_compiling=$ac_cv_prog_cc_cross
690
691 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
692 if test $ac_cv_prog_cc_works = no; then
693 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
694 fi
695 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
696 echo "configure:697: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
697 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
698 cross_compiling=$ac_cv_prog_cc_cross
699
700 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
701 echo "configure:702: checking whether we are using GNU C" >&5
702 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
703 echo $ac_n "(cached) $ac_c" 1>&6
704 else
705 cat > conftest.c <<EOF
706 #ifdef __GNUC__
707 yes;
708 #endif
709 EOF
710 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:711: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
711 ac_cv_prog_gcc=yes
712 else
713 ac_cv_prog_gcc=no
714 fi
715 fi
716
717 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
718
719 if test $ac_cv_prog_gcc = yes; then
720 GCC=yes
721 else
722 GCC=
723 fi
724
725 ac_test_CFLAGS="${CFLAGS+set}"
726 ac_save_CFLAGS="$CFLAGS"
727 CFLAGS=
728 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
729 echo "configure:730: checking whether ${CC-cc} accepts -g" >&5
730 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
731 echo $ac_n "(cached) $ac_c" 1>&6
732 else
733 echo 'void f(){}' > conftest.c
734 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
735 ac_cv_prog_cc_g=yes
736 else
737 ac_cv_prog_cc_g=no
738 fi
739 rm -f conftest*
740
741 fi
742
743 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
744 if test "$ac_test_CFLAGS" = set; then
745 CFLAGS="$ac_save_CFLAGS"
746 elif test $ac_cv_prog_cc_g = yes; then
747 if test "$GCC" = yes; then
748 CFLAGS="-g -O2"
749 else
750 CFLAGS="-g"
751 fi
752 else
753 if test "$GCC" = yes; then
754 CFLAGS="-O2"
755 else
756 CFLAGS=
757 fi
758 fi
759
760 # Extract the first word of "flex", so it can be a program name with args.
761 set dummy flex; ac_word=$2
762 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
763 echo "configure:764: checking for $ac_word" >&5
764 if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
765 echo $ac_n "(cached) $ac_c" 1>&6
766 else
767 if test -n "$LEX"; then
768 ac_cv_prog_LEX="$LEX" # Let the user override the test.
769 else
770 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
771 ac_dummy="$PATH"
772 for ac_dir in $ac_dummy; do
773 test -z "$ac_dir" && ac_dir=.
774 if test -f $ac_dir/$ac_word; then
775 ac_cv_prog_LEX="flex"
776 break
777 fi
778 done
779 IFS="$ac_save_ifs"
780 test -z "$ac_cv_prog_LEX" && ac_cv_prog_LEX="lex"
781 fi
782 fi
783 LEX="$ac_cv_prog_LEX"
784 if test -n "$LEX"; then
785 echo "$ac_t""$LEX" 1>&6
786 else
787 echo "$ac_t""no" 1>&6
788 fi
789
790 if test -z "$LEXLIB"
791 then
792 case "$LEX" in
793 flex*) ac_lib=fl ;;
794 *) ac_lib=l ;;
795 esac
796 echo $ac_n "checking for yywrap in -l$ac_lib""... $ac_c" 1>&6
797 echo "configure:798: checking for yywrap in -l$ac_lib" >&5
798 ac_lib_var=`echo $ac_lib'_'yywrap | sed 'y%./+-%__p_%'`
799 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
800 echo $ac_n "(cached) $ac_c" 1>&6
801 else
802 ac_save_LIBS="$LIBS"
803 LIBS="-l$ac_lib $LIBS"
804 cat > conftest.$ac_ext <<EOF
805 #line 806 "configure"
806 #include "confdefs.h"
807 /* Override any gcc2 internal prototype to avoid an error. */
808 /* We use char because int might match the return type of a gcc2
809 builtin and then its argument prototype would still apply. */
810 char yywrap();
811
812 int main() {
813 yywrap()
814 ; return 0; }
815 EOF
816 if { (eval echo configure:817: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
817 rm -rf conftest*
818 eval "ac_cv_lib_$ac_lib_var=yes"
819 else
820 echo "configure: failed program was:" >&5
821 cat conftest.$ac_ext >&5
822 rm -rf conftest*
823 eval "ac_cv_lib_$ac_lib_var=no"
824 fi
825 rm -f conftest*
826 LIBS="$ac_save_LIBS"
827
828 fi
829 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
830 echo "$ac_t""yes" 1>&6
831 LEXLIB="-l$ac_lib"
832 else
833 echo "$ac_t""no" 1>&6
834 fi
835
836 fi
837
838 for ac_prog in 'bison -y' byacc
839 do
840 # Extract the first word of "$ac_prog", so it can be a program name with args.
841 set dummy $ac_prog; ac_word=$2
842 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
843 echo "configure:844: checking for $ac_word" >&5
844 if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
845 echo $ac_n "(cached) $ac_c" 1>&6
846 else
847 if test -n "$YACC"; then
848 ac_cv_prog_YACC="$YACC" # Let the user override the test.
849 else
850 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
851 ac_dummy="$PATH"
852 for ac_dir in $ac_dummy; do
853 test -z "$ac_dir" && ac_dir=.
854 if test -f $ac_dir/$ac_word; then
855 ac_cv_prog_YACC="$ac_prog"
856 break
857 fi
858 done
859 IFS="$ac_save_ifs"
860 fi
861 fi
862 YACC="$ac_cv_prog_YACC"
863 if test -n "$YACC"; then
864 echo "$ac_t""$YACC" 1>&6
865 else
866 echo "$ac_t""no" 1>&6
867 fi
868
869 test -n "$YACC" && break
870 done
871 test -n "$YACC" || YACC="yacc"
872
873
874 LEXFLAGS="-8"
875 LEXSPEED="-Cf"
876
877 # Check whether --with-gd or --without-gd was given.
878 if test "${with_gd+set}" = set; then
879 withval="$with_gd"
880 CFLAGS="${CFLAGS} -I${withval}"
881
882 fi
883
884
885 # Check whether --with-gd or --without-gd was given.
886 if test "${with_gd+set}" = set; then
887 withval="$with_gd"
888 LDFLAGS="${LDFLAGS} -L${withval}"
889
890 fi
891
892
893 # Check whether --with-z or --without-z was given.
894 if test "${with_z+set}" = set; then
895 withval="$with_z"
896 CFLAGS="${CFLAGS} -I${withval}"
897
898 fi
899
900
901 # Check whether --with-z or --without-z was given.
902 if test "${with_z+set}" = set; then
903 withval="$with_z"
904 LDFLAGS="${LDFLAGS} -L${withval} -lz"
905
906 fi
907
908
909 # Check whether --with-png or --without-png was given.
910 if test "${with_png+set}" = set; then
911 withval="$with_png"
912 LDFLAGS="${LDFLAGS} -L${withval} -lpng"
913 CFLAGS="${CFLAGS} -I${withval}"
914
915 fi
916
917
918 # Check whether --enable-speed or --disable-speed was given.
919 if test "${enable_speed+set}" = set; then
920 enableval="$enable_speed"
921 if test "$enableval" = "no"; then LEXSPEED=""; fi
922 fi
923
924
925 if test "x$LEXSPEED" != "x"
926 then
927 LEXFLAGS="$LEXFLAGS $LEXSPEED"
928 fi
929
930 LDFLAGS="${LDFLAGS} -lgd"
931
932
933 if test "x${GCC}" = "xyes"
934 then
935 CFLAGS="$CFLAGS -Wall"
936 echo $ac_n "checking "for gcc strength-reduce bug"""... $ac_c" 1>&6
937 echo "configure:938: checking "for gcc strength-reduce bug"" >&5
938 if eval "test \"`echo '$''{'ac_cv_c_gcc_strength_bug'+set}'`\" = set"; then
939 echo $ac_n "(cached) $ac_c" 1>&6
940 else
941 if test "$cross_compiling" = yes; then
942 ac_cv_c_gcc_strength_bug="yes"
943 else
944 cat > conftest.$ac_ext <<EOF
945 #line 946 "configure"
946 #include "confdefs.h"
947
948 int main(void) {
949 static int Array[3];
950 unsigned int B = 3;
951 int i;
952 for(i=0; i<B; i++) Array[i] = i - 3;
953 exit( Array[1] != -2 );
954 }
955 EOF
956 if { (eval echo configure:957: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
957 then
958 ac_cv_c_gcc_strength_bug="no"
959 else
960 echo "configure: failed program was:" >&5
961 cat conftest.$ac_ext >&5
962 rm -fr conftest*
963 ac_cv_c_gcc_strength_bug="yes"
964 fi
965 rm -fr conftest*
966 fi
967
968 fi
969
970 echo "$ac_t""$ac_cv_c_gcc_strength_bug" 1>&6
971 if test "$ac_cv_c_gcc_strength_bug" = "yes"
972 then
973 CFLAGS="$CFLAGS -fno-strength-reduce"
974 fi
975 fi
976
977
978 echo $ac_n "checking for sqrt in -lm""... $ac_c" 1>&6
979 echo "configure:980: checking for sqrt in -lm" >&5
980 ac_lib_var=`echo m'_'sqrt | sed 'y%./+-%__p_%'`
981 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
982 echo $ac_n "(cached) $ac_c" 1>&6
983 else
984 ac_save_LIBS="$LIBS"
985 LIBS="-lm $LIBS"
986 cat > conftest.$ac_ext <<EOF
987 #line 988 "configure"
988 #include "confdefs.h"
989 /* Override any gcc2 internal prototype to avoid an error. */
990 /* We use char because int might match the return type of a gcc2
991 builtin and then its argument prototype would still apply. */
992 char sqrt();
993
994 int main() {
995 sqrt()
996 ; return 0; }
997 EOF
998 if { (eval echo configure:999: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
999 rm -rf conftest*
1000 eval "ac_cv_lib_$ac_lib_var=yes"
1001 else
1002 echo "configure: failed program was:" >&5
1003 cat conftest.$ac_ext >&5
1004 rm -rf conftest*
1005 eval "ac_cv_lib_$ac_lib_var=no"
1006 fi
1007 rm -f conftest*
1008 LIBS="$ac_save_LIBS"
1009
1010 fi
1011 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1012 echo "$ac_t""yes" 1>&6
1013
1014 cat >> confdefs.h <<\EOF
1015 #define LIBM 1
1016 EOF
1017
1018 MATHLIBS="-lm"
1019 else
1020 echo "$ac_t""no" 1>&6
1021 fi
1022
1023
1024 echo $ac_n "checking for gdImageGif in -lgd""... $ac_c" 1>&6
1025 echo "configure:1026: checking for gdImageGif in -lgd" >&5
1026 ac_lib_var=`echo gd'_'gdImageGif | sed 'y%./+-%__p_%'`
1027 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1028 echo $ac_n "(cached) $ac_c" 1>&6
1029 else
1030 ac_save_LIBS="$LIBS"
1031 LIBS="-lgd $LIBS"
1032 cat > conftest.$ac_ext <<EOF
1033 #line 1034 "configure"
1034 #include "confdefs.h"
1035 /* Override any gcc2 internal prototype to avoid an error. */
1036 /* We use char because int might match the return type of a gcc2
1037 builtin and then its argument prototype would still apply. */
1038 char gdImageGif();
1039
1040 int main() {
1041 gdImageGif()
1042 ; return 0; }
1043 EOF
1044 if { (eval echo configure:1045: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1045 rm -rf conftest*
1046 eval "ac_cv_lib_$ac_lib_var=yes"
1047 else
1048 echo "configure: failed program was:" >&5
1049 cat conftest.$ac_ext >&5
1050 rm -rf conftest*
1051 eval "ac_cv_lib_$ac_lib_var=no"
1052 fi
1053 rm -f conftest*
1054 LIBS="$ac_save_LIBS"
1055
1056 fi
1057 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1058 echo "$ac_t""yes" 1>&6
1059
1060 cat >> confdefs.h <<\EOF
1061 #define HAVE_IMAGE_GIF 1
1062 EOF
1063
1064
1065 else
1066 echo "$ac_t""no" 1>&6
1067 fi
1068
1069 echo $ac_n "checking for gdImagePng in -lgd""... $ac_c" 1>&6
1070 echo "configure:1071: checking for gdImagePng in -lgd" >&5
1071 ac_lib_var=`echo gd'_'gdImagePng | sed 'y%./+-%__p_%'`
1072 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1073 echo $ac_n "(cached) $ac_c" 1>&6
1074 else
1075 ac_save_LIBS="$LIBS"
1076 LIBS="-lgd $LIBS"
1077 cat > conftest.$ac_ext <<EOF
1078 #line 1079 "configure"
1079 #include "confdefs.h"
1080 /* Override any gcc2 internal prototype to avoid an error. */
1081 /* We use char because int might match the return type of a gcc2
1082 builtin and then its argument prototype would still apply. */
1083 char gdImagePng();
1084
1085 int main() {
1086 gdImagePng()
1087 ; return 0; }
1088 EOF
1089 if { (eval echo configure:1090: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1090 rm -rf conftest*
1091 eval "ac_cv_lib_$ac_lib_var=yes"
1092 else
1093 echo "configure: failed program was:" >&5
1094 cat conftest.$ac_ext >&5
1095 rm -rf conftest*
1096 eval "ac_cv_lib_$ac_lib_var=no"
1097 fi
1098 rm -f conftest*
1099 LIBS="$ac_save_LIBS"
1100
1101 fi
1102 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1103 echo "$ac_t""yes" 1>&6
1104
1105 cat >> confdefs.h <<\EOF
1106 #define HAVE_IMAGE_PNG 1
1107 EOF
1108
1109 LDFLAGS="$LDFLAGS -lpng -lz ${MATHLIBS}"
1110
1111 else
1112 echo "$ac_t""no" 1>&6
1113 fi
1114
1115 echo $ac_n "checking for gdImageJpeg in -lgd""... $ac_c" 1>&6
1116 echo "configure:1117: checking for gdImageJpeg in -lgd" >&5
1117 ac_lib_var=`echo gd'_'gdImageJpeg | sed 'y%./+-%__p_%'`
1118 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1119 echo $ac_n "(cached) $ac_c" 1>&6
1120 else
1121 ac_save_LIBS="$LIBS"
1122 LIBS="-lgd $LIBS"
1123 cat > conftest.$ac_ext <<EOF
1124 #line 1125 "configure"
1125 #include "confdefs.h"
1126 /* Override any gcc2 internal prototype to avoid an error. */
1127 /* We use char because int might match the return type of a gcc2
1128 builtin and then its argument prototype would still apply. */
1129 char gdImageJpeg();
1130
1131 int main() {
1132 gdImageJpeg()
1133 ; return 0; }
1134 EOF
1135 if { (eval echo configure:1136: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1136 rm -rf conftest*
1137 eval "ac_cv_lib_$ac_lib_var=yes"
1138 else
1139 echo "configure: failed program was:" >&5
1140 cat conftest.$ac_ext >&5
1141 rm -rf conftest*
1142 eval "ac_cv_lib_$ac_lib_var=no"
1143 fi
1144 rm -f conftest*
1145 LIBS="$ac_save_LIBS"
1146
1147 fi
1148 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1149 echo "$ac_t""yes" 1>&6
1150
1151 cat >> confdefs.h <<\EOF
1152 #define HAVE_IMAGE_JPEG 1
1153 EOF
1154
1155 LDFLAGS="$LDFLAGS -ljpeg"
1156
1157 else
1158 echo "$ac_t""no" 1>&6
1159 fi
1160
1161
1162
1163 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1164 echo "configure:1165: checking how to run the C preprocessor" >&5
1165 # On Suns, sometimes $CPP names a directory.
1166 if test -n "$CPP" && test -d "$CPP"; then
1167 CPP=
1168 fi
1169 if test -z "$CPP"; then
1170 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1171 echo $ac_n "(cached) $ac_c" 1>&6
1172 else
1173 # This must be in double quotes, not single quotes, because CPP may get
1174 # substituted into the Makefile and "${CC-cc}" will confuse make.
1175 CPP="${CC-cc} -E"
1176 # On the NeXT, cc -E runs the code through the compiler's parser,
1177 # not just through cpp.
1178 cat > conftest.$ac_ext <<EOF
1179 #line 1180 "configure"
1180 #include "confdefs.h"
1181 #include <assert.h>
1182 Syntax Error
1183 EOF
1184 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1185 { (eval echo configure:1186: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1186 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1187 if test -z "$ac_err"; then
1188 :
1189 else
1190 echo "$ac_err" >&5
1191 echo "configure: failed program was:" >&5
1192 cat conftest.$ac_ext >&5
1193 rm -rf conftest*
1194 CPP="${CC-cc} -E -traditional-cpp"
1195 cat > conftest.$ac_ext <<EOF
1196 #line 1197 "configure"
1197 #include "confdefs.h"
1198 #include <assert.h>
1199 Syntax Error
1200 EOF
1201 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1202 { (eval echo configure:1203: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1203 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1204 if test -z "$ac_err"; then
1205 :
1206 else
1207 echo "$ac_err" >&5
1208 echo "configure: failed program was:" >&5
1209 cat conftest.$ac_ext >&5
1210 rm -rf conftest*
1211 CPP="${CC-cc} -nologo -E"
1212 cat > conftest.$ac_ext <<EOF
1213 #line 1214 "configure"
1214 #include "confdefs.h"
1215 #include <assert.h>
1216 Syntax Error
1217 EOF
1218 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1219 { (eval echo configure:1220: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1220 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1221 if test -z "$ac_err"; then
1222 :
1223 else
1224 echo "$ac_err" >&5
1225 echo "configure: failed program was:" >&5
1226 cat conftest.$ac_ext >&5
1227 rm -rf conftest*
1228 CPP=/lib/cpp
1229 fi
1230 rm -f conftest*
1231 fi
1232 rm -f conftest*
1233 fi
1234 rm -f conftest*
1235 ac_cv_prog_CPP="$CPP"
1236 fi
1237 CPP="$ac_cv_prog_CPP"
1238 else
1239 ac_cv_prog_CPP="$CPP"
1240 fi
1241 echo "$ac_t""$CPP" 1>&6
1242
1243 ac_safe=`echo "gd.h" | sed 'y%./+-%__p_%'`
1244 echo $ac_n "checking for gd.h""... $ac_c" 1>&6
1245 echo "configure:1246: checking for gd.h" >&5
1246 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1247 echo $ac_n "(cached) $ac_c" 1>&6
1248 else
1249 cat > conftest.$ac_ext <<EOF
1250 #line 1251 "configure"
1251 #include "confdefs.h"
1252 #include <gd.h>
1253 EOF
1254 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1255 { (eval echo configure:1256: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1256 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1257 if test -z "$ac_err"; then
1258 rm -rf conftest*
1259 eval "ac_cv_header_$ac_safe=yes"
1260 else
1261 echo "$ac_err" >&5
1262 echo "configure: failed program was:" >&5
1263 cat conftest.$ac_ext >&5
1264 rm -rf conftest*
1265 eval "ac_cv_header_$ac_safe=no"
1266 fi
1267 rm -f conftest*
1268 fi
1269 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1270 echo "$ac_t""yes" 1>&6
1271 have_gd_h="yes"
1272 else
1273 echo "$ac_t""no" 1>&6
1274 have_gd_h="no"
1275 fi
1276
1277
1278 if test $have_gd_h != "yes"; then
1279 echo
1280 echo "** The GD library is required for CvsGraph to function."
1281 echo " Get it from http://www.boutell.com, compile it and"
1282 echo " use either --with-gd-lib=DIR and --with-gd-inc=DIR to specify"
1283 echo " its location. You might also have to use --with-z-inc, --with-z-lib"
1284 echo " and --with-png-inc, --with-png-lib for gd versions 1.6 and higher."
1285 echo " Check config.log for more information on the problem. If your system"
1286 echo " has libgd installed, you probably mis the gd.h header file."
1287 exit 1
1288 fi
1289
1290
1291
1292 trap '' 1 2 15
1293 cat > confcache <<\EOF
1294 # This file is a shell script that caches the results of configure
1295 # tests run on this system so they can be shared between configure
1296 # scripts and configure runs. It is not useful on other systems.
1297 # If it contains results you don't want to keep, you may remove or edit it.
1298 #
1299 # By default, configure uses ./config.cache as the cache file,
1300 # creating it if it does not exist already. You can give configure
1301 # the --cache-file=FILE option to use a different cache file; that is
1302 # what configure does when it calls configure scripts in
1303 # subdirectories, so they share the cache.
1304 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1305 # config.status only pays attention to the cache file if you give it the
1306 # --recheck option to rerun configure.
1307 #
1308 EOF
1309 # The following way of writing the cache mishandles newlines in values,
1310 # but we know of no workaround that is simple, portable, and efficient.
1311 # So, don't put newlines in cache variables' values.
1312 # Ultrix sh set writes to stderr and can't be redirected directly,
1313 # and sets the high bit in the cache file unless we assign to the vars.
1314 (set) 2>&1 |
1315 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1316 *ac_space=\ *)
1317 # `set' does not quote correctly, so add quotes (double-quote substitution
1318 # turns \\\\ into \\, and sed turns \\ into \).
1319 sed -n \
1320 -e "s/'/'\\\\''/g" \
1321 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1322 ;;
1323 *)
1324 # `set' quotes correctly as required by POSIX, so do not add quotes.
1325 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1326 ;;
1327 esac >> confcache
1328 if cmp -s $cache_file confcache; then
1329 :
1330 else
1331 if test -w $cache_file; then
1332 echo "updating cache $cache_file"
1333 cat confcache > $cache_file
1334 else
1335 echo "not updating unwritable cache $cache_file"
1336 fi
1337 fi
1338 rm -f confcache
1339
1340 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1341
1342 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1343 # Let make expand exec_prefix.
1344 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1345
1346 # Any assignment to VPATH causes Sun make to only execute
1347 # the first set of double-colon rules, so remove it if not needed.
1348 # If there is a colon in the path, we need to keep it.
1349 if test "x$srcdir" = x.; then
1350 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1351 fi
1352
1353 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1354
1355 DEFS=-DHAVE_CONFIG_H
1356
1357 # Without the "./", some shells look in PATH for config.status.
1358 : ${CONFIG_STATUS=./config.status}
1359
1360 echo creating $CONFIG_STATUS
1361 rm -f $CONFIG_STATUS
1362 cat > $CONFIG_STATUS <<EOF
1363 #! /bin/sh
1364 # Generated automatically by configure.
1365 # Run this file to recreate the current configuration.
1366 # This directory was configured as follows,
1367 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1368 #
1369 # $0 $ac_configure_args
1370 #
1371 # Compiler output produced by configure, useful for debugging
1372 # configure, is in ./config.log if it exists.
1373
1374 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1375 for ac_option
1376 do
1377 case "\$ac_option" in
1378 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1379 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1380 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1381 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1382 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1383 exit 0 ;;
1384 -help | --help | --hel | --he | --h)
1385 echo "\$ac_cs_usage"; exit 0 ;;
1386 *) echo "\$ac_cs_usage"; exit 1 ;;
1387 esac
1388 done
1389
1390 ac_given_srcdir=$srcdir
1391
1392 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1393 EOF
1394 cat >> $CONFIG_STATUS <<EOF
1395
1396 # Protect against being on the right side of a sed subst in config.status.
1397 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1398 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1399 $ac_vpsub
1400 $extrasub
1401 s%@SHELL@%$SHELL%g
1402 s%@CFLAGS@%$CFLAGS%g
1403 s%@CPPFLAGS@%$CPPFLAGS%g
1404 s%@CXXFLAGS@%$CXXFLAGS%g
1405 s%@FFLAGS@%$FFLAGS%g
1406 s%@DEFS@%$DEFS%g
1407 s%@LDFLAGS@%$LDFLAGS%g
1408 s%@LIBS@%$LIBS%g
1409 s%@exec_prefix@%$exec_prefix%g
1410 s%@prefix@%$prefix%g
1411 s%@program_transform_name@%$program_transform_name%g
1412 s%@bindir@%$bindir%g
1413 s%@sbindir@%$sbindir%g
1414 s%@libexecdir@%$libexecdir%g
1415 s%@datadir@%$datadir%g
1416 s%@sysconfdir@%$sysconfdir%g
1417 s%@sharedstatedir@%$sharedstatedir%g
1418 s%@localstatedir@%$localstatedir%g
1419 s%@libdir@%$libdir%g
1420 s%@includedir@%$includedir%g
1421 s%@oldincludedir@%$oldincludedir%g
1422 s%@infodir@%$infodir%g
1423 s%@mandir@%$mandir%g
1424 s%@CC@%$CC%g
1425 s%@LEX@%$LEX%g
1426 s%@LEXLIB@%$LEXLIB%g
1427 s%@YACC@%$YACC%g
1428 s%@CPP@%$CPP%g
1429 s%@LEXFLAGS@%$LEXFLAGS%g
1430
1431 CEOF
1432 EOF
1433
1434 cat >> $CONFIG_STATUS <<\EOF
1435
1436 # Split the substitutions into bite-sized pieces for seds with
1437 # small command number limits, like on Digital OSF/1 and HP-UX.
1438 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1439 ac_file=1 # Number of current file.
1440 ac_beg=1 # First line for current file.
1441 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1442 ac_more_lines=:
1443 ac_sed_cmds=""
1444 while $ac_more_lines; do
1445 if test $ac_beg -gt 1; then
1446 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1447 else
1448 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1449 fi
1450 if test ! -s conftest.s$ac_file; then
1451 ac_more_lines=false
1452 rm -f conftest.s$ac_file
1453 else
1454 if test -z "$ac_sed_cmds"; then
1455 ac_sed_cmds="sed -f conftest.s$ac_file"
1456 else
1457 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1458 fi
1459 ac_file=`expr $ac_file + 1`
1460 ac_beg=$ac_end
1461 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1462 fi
1463 done
1464 if test -z "$ac_sed_cmds"; then
1465 ac_sed_cmds=cat
1466 fi
1467 EOF
1468
1469 cat >> $CONFIG_STATUS <<EOF
1470
1471 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1472 EOF
1473 cat >> $CONFIG_STATUS <<\EOF
1474 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1475 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1476 case "$ac_file" in
1477 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1478 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1479 *) ac_file_in="${ac_file}.in" ;;
1480 esac
1481
1482 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1483
1484 # Remove last slash and all that follows it. Not all systems have dirname.
1485 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1486 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1487 # The file is in a subdirectory.
1488 test ! -d "$ac_dir" && mkdir "$ac_dir"
1489 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1490 # A "../" for each directory in $ac_dir_suffix.
1491 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1492 else
1493 ac_dir_suffix= ac_dots=
1494 fi
1495
1496 case "$ac_given_srcdir" in
1497 .) srcdir=.
1498 if test -z "$ac_dots"; then top_srcdir=.
1499 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1500 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1501 *) # Relative path.
1502 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1503 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1504 esac
1505
1506
1507 echo creating "$ac_file"
1508 rm -f "$ac_file"
1509 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1510 case "$ac_file" in
1511 *Makefile*) ac_comsub="1i\\
1512 # $configure_input" ;;
1513 *) ac_comsub= ;;
1514 esac
1515
1516 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1517 sed -e "$ac_comsub
1518 s%@configure_input@%$configure_input%g
1519 s%@srcdir@%$srcdir%g
1520 s%@top_srcdir@%$top_srcdir%g
1521 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1522 fi; done
1523 rm -f conftest.s*
1524
1525 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1526 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1527 #
1528 # ac_d sets the value in "#define NAME VALUE" lines.
1529 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1530 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1531 ac_dC='\3'
1532 ac_dD='%g'
1533 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1534 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1535 ac_uB='\([ ]\)%\1#\2define\3'
1536 ac_uC=' '
1537 ac_uD='\4%g'
1538 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1539 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1540 ac_eB='$%\1#\2define\3'
1541 ac_eC=' '
1542 ac_eD='%g'
1543
1544 if test "${CONFIG_HEADERS+set}" != set; then
1545 EOF
1546 cat >> $CONFIG_STATUS <<EOF
1547 CONFIG_HEADERS="config.h"
1548 EOF
1549 cat >> $CONFIG_STATUS <<\EOF
1550 fi
1551 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1552 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1553 case "$ac_file" in
1554 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1555 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1556 *) ac_file_in="${ac_file}.in" ;;
1557 esac
1558
1559 echo creating $ac_file
1560
1561 rm -f conftest.frag conftest.in conftest.out
1562 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1563 cat $ac_file_inputs > conftest.in
1564
1565 EOF
1566
1567 # Transform confdefs.h into a sed script conftest.vals that substitutes
1568 # the proper values into config.h.in to produce config.h. And first:
1569 # Protect against being on the right side of a sed subst in config.status.
1570 # Protect against being in an unquoted here document in config.status.
1571 rm -f conftest.vals
1572 cat > conftest.hdr <<\EOF
1573 s/[\\&%]/\\&/g
1574 s%[\\$`]%\\&%g
1575 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1576 s%ac_d%ac_u%gp
1577 s%ac_u%ac_e%gp
1578 EOF
1579 sed -n -f conftest.hdr confdefs.h > conftest.vals
1580 rm -f conftest.hdr
1581
1582 # This sed command replaces #undef with comments. This is necessary, for
1583 # example, in the case of _POSIX_SOURCE, which is predefined and required
1584 # on some systems where configure will not decide to define it.
1585 cat >> conftest.vals <<\EOF
1586 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1587 EOF
1588
1589 # Break up conftest.vals because some shells have a limit on
1590 # the size of here documents, and old seds have small limits too.
1591
1592 rm -f conftest.tail
1593 while :
1594 do
1595 ac_lines=`grep -c . conftest.vals`
1596 # grep -c gives empty output for an empty file on some AIX systems.
1597 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1598 # Write a limited-size here document to conftest.frag.
1599 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1600 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1601 echo 'CEOF
1602 sed -f conftest.frag conftest.in > conftest.out
1603 rm -f conftest.in
1604 mv conftest.out conftest.in
1605 ' >> $CONFIG_STATUS
1606 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1607 rm -f conftest.vals
1608 mv conftest.tail conftest.vals
1609 done
1610 rm -f conftest.vals
1611
1612 cat >> $CONFIG_STATUS <<\EOF
1613 rm -f conftest.frag conftest.h
1614 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1615 cat conftest.in >> conftest.h
1616 rm -f conftest.in
1617 if cmp -s $ac_file conftest.h 2>/dev/null; then
1618 echo "$ac_file is unchanged"
1619 rm -f conftest.h
1620 else
1621 # Remove last slash and all that follows it. Not all systems have dirname.
1622 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1623 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1624 # The file is in a subdirectory.
1625 test ! -d "$ac_dir" && mkdir "$ac_dir"
1626 fi
1627 rm -f $ac_file
1628 mv conftest.h $ac_file
1629 fi
1630 fi; done
1631
1632 EOF
1633 cat >> $CONFIG_STATUS <<EOF
1634
1635 EOF
1636 cat >> $CONFIG_STATUS <<\EOF
1637
1638 exit 0
1639 EOF
1640 chmod +x $CONFIG_STATUS
1641 rm -fr confdefs* $ac_clean_files
1642 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1643
1644
1645 echo "Configure done. Run 'make' to build CvsGraph"
1646

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0